import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-nav',
  templateUrl: './nav.component.html',
  styleUrls: ['./nav.component.scss']
})
export class NavComponent implements OnInit {

  public path: string = window.location.pathname;
  constructor(private router: Router) { }

  ngOnInit(): void {
    this.router.events.subscribe(() => this.path = this.router.url);
  }

}
