import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { steps } from '../../../../database/steps';

@Component({
  selector: 'app-stepper',
  templateUrl: './stepper.component.html',
  styleUrls: ['./stepper.component.scss']
})
export class StepperComponent implements OnInit {

  @Input() step: number = 0;
  @Output() setStep: EventEmitter<number> = new EventEmitter<number>();
  public steps: string[] = steps;

  get getStep(): number[] {
    return [...Array(this.step).keys()];
  }

  constructor() { }

  ngOnInit(): void {
  }

}
