import { Component, Input, } from '@angular/core';

@Component({
  selector: 'app-performance',
  templateUrl: './performance.component.html',
  styleUrls: ['./performance.component.scss']
})
export class PerformanceComponent {

  @Input() color: string = '';
  @Input() max: number = 100;
  @Input() used: number = 1;
  @Input() word: string = '';
  @Input() title: string = '';
  @Input() icon: string = '';

  get percent(): string {
    return Math.floor((100 * this.used) / this.max).toString() + '%';
  }
  constructor() { }
}
