import { Component, OnInit } from '@angular/core';
import { Rayconnect } from '../services/rayconnect/rayconnect.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
})
export class AppComponent implements OnInit {

  public splash: boolean = true;
  constructor(private rayconnect: Rayconnect) { }

  async ngOnInit(): Promise<void> {
    await this.rayconnect.init();
    this.splash = false;
  }
}
