import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { ReactiveFormsModule } from '@angular/forms';
import { MaterialModule } from './material';
import { AppComponent } from './routes/app/app.component';
import { InputComponent } from './components/input/input.component';



@NgModule({
  declarations: [AppComponent, InputComponent],
  imports: [
    CommonModule,
    MaterialModule,
    ReactiveFormsModule,
    RouterModule.forChild([
      {
        path: '',
        component: AppComponent
      }
    ])
  ]
})
export class AuthModule { }
