import { Component, Input, ViewChild } from '@angular/core';

@Component({
  selector: 'app-credit-card',
  templateUrl: './credit-card.component.html',
  styleUrls: ['./credit-card.component.scss']
})
export class CreditCardComponent {

  @Input() amount: string = '';
  @ViewChild('card') card: any;
  constructor() { }

  toggle() {
    this.card.nativeElement.classList.toggle('flipped');
  }
}
