import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-drawer',
  templateUrl: './drawer.component.html',
  styleUrls: ['./drawer.component.scss']
})
export class DrawerComponent implements OnInit {

  constructor(private router: Router) { }

  ngOnInit(): void {
  }

  go(path: string) {
    if (path.slice(0, 1) == '/') path = path.slice(1, path.length);
    let pathname: string[] = window.location.pathname.split('/');
    if (pathname.length == 4) pathname.push(path);
    else pathname[4] = path;
    let PATH: string = pathname.join('/');
    this.router.navigate([PATH]);
  }
}
