import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-info',
  templateUrl: './info.component.html',
  styleUrls: ['./info.component.scss']
})
export class InfoComponent implements OnInit {

  public items: { title: string, value: string, url?: boolean }[] = [
    {
      title: 'نام اپ',
      value: 'دیتابیس گوگل'
    },
    {
      title: 'نوع اپ',
      value: 'دیتابیس'
    },
    {
      title: 'نوع دیتابیس',
      value: 'MongoDB'
    },
    {
      title: 'نسخه دیتابیس',
      value: '۴.۴'
    },
    {
      title: 'آدرس دیتابیس',
      value: 'https://www.google.com',
      url: true
    }
  ];
  constructor() { }

  ngOnInit(): void {
  }

}
