import { NgModule } from '@angular/core';

import { MatIconModule } from '@angular/material/icon';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatButtonModule } from '@angular/material/button';
import { MatDividerModule } from '@angular/material/divider';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatRippleModule } from '@angular/material/core';
import { MatTableModule } from '@angular/material/table';
// form
import { MatRadioModule } from '@angular/material/radio';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { MatSelectModule } from '@angular/material/select';

const modules = [
    MatIconModule,
    MatToolbarModule,
    MatButtonModule,
    MatDividerModule,
    MatProgressBarModule,
    MatRippleModule,
    MatTableModule,
    // form
    MatRadioModule,
    MatFormFieldModule,
    MatInputModule,
    MatSelectModule,
];

@NgModule({
    imports: modules,
    exports: modules
})
export class MaterialModule { };