import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-nav',
  templateUrl: './nav.component.html',
  styleUrls: ['./nav.component.scss']
})
export class NavComponent implements OnInit {

  public path: string = window.location.pathname;
  @Output() toggleShowInfo: EventEmitter<void> = new EventEmitter<void>();
  constructor(private router: Router) { }

  ngOnInit(): void {
    this.path = this.router.url;
    this.router.events.subscribe(() => this.path = this.router.url);
  }

}
